{{/* vim: set filetype=mustache: */}}
{{/*
Expand the name of the chart.
*/}}
{{- define "name" -}}
{{- default .Chart.Name .Values.nameOverride | trunc 24 | trimSuffix "-" -}}
{{- end -}}

{{/*
Create a default fully qualified app name.
We truncate at 63 chars because some Kubernetes name fields are limited to this (by the DNS naming spec).
*/}}
{{- define "fullname" -}}
{{- $name := default .Chart.Name .Values.nameOverride -}}
{{- printf "%s-%s" .Release.Name $name | trimSuffix "-app" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "appname" -}}
{{- $releaseName := default .Release.Name .Values.releaseOverride -}}
{{- printf "%s" $releaseName | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "trackableappname" -}}
{{- $trackableName := printf "%s-%s" (include "appname" .) .Values.application.generic.track -}}
{{- $trackableName | trimSuffix "-stable" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{/*
Get a hostname from URL
*/}}
{{- define "hostname" -}}
{{- . | trimPrefix "http://" | trimPrefix "https://" | trimSuffix "/" | quote -}}
{{- end -}}


{{/*
Werf image
*/}}
{{- define "werfimage" -}}
{{- $tpl := first . }}
{{- $project := last . }}
{{- $imageMap := $tpl.Values.werf.image }}
{{- get $imageMap $project | default $imageMap.app }}
{{- end -}}

{{/*
Get replicaCount of runner deployment
*/}}
{{- define "runnerReplicaCount" -}}
	{{- if (not .Values.application.runner.kubernetes.leaderelections) -}}
	{{- 1 -}}
	{{- else -}}
	{{- default .Values.application.generic.replicaCount .Values.application.runner.replicaCount | int -}}
	{{- end -}}
{{- end -}}
